Bug 321091 - can't use right/left arrows after cropping
Summary: can't use right/left arrows after cropping
Status: RESOLVED FIXED
Alias: None
Product: gwenview
Classification: Applications
Component: general (show other bugs)
Version: 4.10.4
Platform: Fedora RPMs Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Gwenview Bugs
URL:
Keywords: usability
Depends on:
Blocks:
 
Reported: 2013-06-13 08:32 UTC by daramas444
Modified: 2018-04-04 06:42 UTC (History)
4 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description daramas444 2013-06-13 08:32:46 UTC
I have a bunch of images in a folder. I open one and can see the others by pressing on right or left arrow on the keyboard.

If I crop an image, pressing on right or left arrow (keyboard) doesn't have any effect any more. Clicking on the icons previous/next does have an effect. If I resize an image after that, pressing on right or left arrow (keyboard) has an effect again.

Reproducible: Always

Steps to Reproduce:
1. open an image in a folder containing many.
2. crop an image
3. try to use right or left arrow (keyboard), nothing happens
Actual Results:  
can't see the next or previous image using right or left arrow (keyboard)

Expected Results:  
I can see the next or previous image using right or left arrow (keyboard)
Comment 1 Nate Graham 2017-09-09 21:08:18 UTC
Confirmed.
Comment 2 Peter Mühlenpfordt 2018-04-04 06:42:05 UTC
Git commit 7369f4719529b7d4dd5e9ee55e22e447383ef6bb by Peter Mühlenpfordt.
Committed on 04/04/2018 at 06:33.
Pushed by muhlenpfordt into branch 'Applications/18.04'.

Set focus back to image view after leaving edit tool

Summary:
If you click on the toolbar of an image edit tool (crop, redeye)
the focus is lost after leaving the tool and you cannot switch images
with cursor keys.
This patch resets the focus to image view after leaving the edit tool.

Test Plan:
* Open image in Gwenview View Mode (normal or fullscreen)
* Start crop tool ({key Shift C})
* Click on {nav Crop} or {nav Cancel}
* Switching images with cursor keys should work as usual

Reviewers: #gwenview, rkflx

Reviewed By: #gwenview, rkflx

Subscribers: rkflx, huoni

Differential Revision: https://phabricator.kde.org/D11899

M  +10   -0    app/viewmainpage.cpp
M  +3    -0    app/viewmainpage.h

https://commits.kde.org/gwenview/7369f4719529b7d4dd5e9ee55e22e447383ef6bb